# ROS Workspace

ROS workspace containing all the assets and sources for the current cup edition.

## Prerequisites

Install ROS Noetic on your machine with all desktop packages.

## How to run a simulation

You can run one of the experimental simulation contained in the `galere_experimental_sim` package.
For example, let's run a simulation with an empty world with a robot and a single cup in it.

```sh
source /opt/ros/noetic/setup.bash
source devel/setup.bash
roslaunch galere_experimental_sim single_galere_single_cup.launch
```

You can control the robot using the teleop node in another terminal:

```sh
roslaunch galere_teleop galere_teleop_key.launch __ns:=galere
```
